package com.yizhi.message.application.enums;

public enum ReturnParameterEnums {

	accountName("【用户名】","【accountName】"),
	courseName("【课程名称】","【courseName】"),
	projectTime("【项目时间】","【projectTime】"),
	projectName("【项目名称】","【projectName】"),
	enrollEndTime("【报名截止时间】","【enrollEndTime】"),
	assignmentName("【作业名称】","【assignmentName】"),
	assignmentTime("【作业时间】","【assignmentTime】"),
	assignmentScore("【作业分数】","【assignmentScore】"),
	examName("【考试名称】","【examName】"),
	examTime("【考试时间】","【examTime】"),
	examScore("【考试分数】","【examScore】"),
	changeReason("【积分变动原因】","【changeReason】"),
	changePoint("【积分变动分值】","【changePoint】"),
	changeTime("【积分获得时间】","【changeTime】"),
	researchTime("【调研时间】","【researchTime】"),
	researchName("【调研名称】","【researchName】"),
	liveTime("【直播时间】","【liveTime】");



	private String code;
	private String name;

	ReturnParameterEnums(String code, String name) {
		this.code = code;
		this.name = name;
	}

	public String getCode() {
		return code;
	}

	public String getName() {
		return name;
	}
	
}
