package com.yizhi.message.application.event;

import com.yizhi.core.application.event.EventWrapper;
import com.yizhi.message.application.constans.Constans;
import com.yizhi.message.application.vo.MessageRemindVo;
import org.springframework.amqp.rabbit.annotation.RabbitHandler;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Author: shengchenglong
 * @Date: 2018/4/18 11:14
 */
@Component
@RabbitListener(queues = Constans.MESSAGE_QUEUE)
public class MessageEventListener {

    @Autowired
    private MessageEventHandler messageEventHandler;

    @RabbitHandler
    public void processBizEvent(EventWrapper<MessageRemindVo> ew) {
        messageEventHandler.handle(ew);
    }

}
