package com.yizhi.message.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.message.application.domain.MessageAccount;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author hutao123
 * @since 2019-09-09
 */

@Mapper
public interface MessageAccountMapper extends BaseMapper<MessageAccount> {

    List<MessageAccount> getList(@Param("siteId") Long siteId, @Param("accountId") Long accountId, Page<MessageAccount> page);

    Integer getListNum(@Param("siteId") Long siteId, @Param("accountId") Long accountId);

}
