package com.yizhi.message.application.enums;

public enum MessageStatus {

	DRAFT(1,"草稿"),
	TO_SEND(2,"待发送"),
	SEND_ING(3,"发送中"),
	SEND_ED(4,"已发送"),
	DOWN(6,"下架"),
	UP(7,"上架"),
	SEND_ED_CANCEl(8,"已发送被撤回");


	private Integer code;
	private String name;

	MessageStatus(Integer code, String name) {
		this.code = code;
		this.name = name;
	}

	public Integer getCode() {
		return code;
	}

	public String getName() {
		return name;
	}
	
}
